

import 'package:clean_application/clean_application.dart';

import '../entities/user.dart';
import '../repository_contracts/user_repository.dart';

class GetUsersParam extends UseCaseParam {

  GetUsersParam();
}

class GetUsersUseCase extends UseCase<List<User>, GetUsersParam>{

  @override
  Future<Result<List<User>>> call(GetUsersParam params) async {
    UserRepository repository = CleanApplication.repository<UserRepository>();
    var res = await repository.findAll();
    return Result.success(res.data);
  }

}