

import 'package:clean_application/src/data/datasource.dart';
import 'package:clean_application/src/domain/repository.dart';
import 'package:clean_application/src/domain/usecase.dart';
import 'package:clean_application/src/presentation/controller.dart';
import 'package:clean_application/src/util/instance_provider.dart';

class Environments {
  static const String Development = "dev";
  static const String Production = "prod";
  static const String Test = "test";
}

/// This class provides the dependency to be injected in the application
abstract class Configuration {

  List<InstanceProvider<DataSource>> dataSourcesProvider(String environment);

  List<InstanceProvider<Repository>> repositoriesProvider(String environment);

  List<UseCase> useCasesProvider();

  List<Controller> controllersProvider();

}
